<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HemfText.ExtTextOutA (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HemfText.ExtTextOutA (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HemfText.ExtTextOutA.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtCreateFontIndirectW.html"
               title="class in org.apache.poi.hemf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutW.html"
               title="class in org.apache.poi.hemf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hemf/record/HemfText.ExtTextOutA.html" target="_top">Frames</a>
        </li>
        <li><a href="HemfText.ExtTextOutA.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hemf.record</div>
    <h2 title="Class HemfText.ExtTextOutA" class="title">Class HemfText.ExtTextOutA</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hemf.record.HemfText.ExtTextOutA</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hemf/record/HemfRecord.html"
                           title="interface in org.apache.poi.hemf.record">HemfRecord</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutW.html"
                           title="class in org.apache.poi.hemf.record">HemfText.ExtTextOutW</a></dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/hemf/record/HemfText.html"
                           title="class in org.apache.poi.hemf.record">HemfText</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">HemfText.ExtTextOutA</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hemf/record/HemfRecord.html"
              title="interface in org.apache.poi.hemf.record">HemfRecord</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#ExtTextOutA--">ExtTextOutA</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getBottom--">getBottom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected java.nio.charset.Charset</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getEncodingHint--">getEncodingHint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getExScale--">getExScale</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getEyScale--">getEyScale</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getGraphicsMode--">getGraphicsMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getLeft--">getLeft</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfRecordType.html"
                                        title="enum in org.apache.poi.hemf.record">HemfRecordType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getRecordType--">getRecordType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getRight--">getRight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getText-java.nio.charset.Charset-">getText</a></span>(java.nio.charset.Charset&nbsp;charset)</code>
                                    <div class="block">To be implemented! We need to get the current character set
                                        from the current font for <a
                                                href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html"
                                                title="class in org.apache.poi.hemf.record"><code>HemfText.ExtTextOutA</code></a>,
                                        which has to be tracked in the playback device.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getTop--">getTop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getX--">getX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#getY--">getY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html#init-org.apache.poi.util.LittleEndianInputStream-long-long-">init</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianInputStream</a>&nbsp;leis,
                                    long&nbsp;recordId,
                                    long&nbsp;recordSize)</code>
                                    <div class="block">Init record from stream</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ExtTextOutA--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ExtTextOutA</h4>
                                <pre>public&nbsp;ExtTextOutA()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hemf/record/HemfRecordType.html"
                                                    title="enum in org.apache.poi.hemf.record">HemfRecordType</a>&nbsp;getRecordType()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hemf/record/HemfRecord.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hemf/record/HemfRecord.html"
                                                title="interface in org.apache.poi.hemf.record">HemfRecord</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="init-org.apache.poi.util.LittleEndianInputStream-long-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>init</h4>
                                <pre>public&nbsp;long&nbsp;init(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianInputStream</a>&nbsp;leis,
                 long&nbsp;recordId,
                 long&nbsp;recordSize)
          throws java.io.IOException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hemf/record/HemfRecord.html#init-org.apache.poi.util.LittleEndianInputStream-long-long-">HemfRecord</a></code></span>
                                </div>
                                <div class="block">Init record from stream</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hemf/record/HemfRecord.html#init-org.apache.poi.util.LittleEndianInputStream-long-long-">init</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hemf/record/HemfRecord.html"
                                                title="interface in org.apache.poi.hemf.record">HemfRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>leis</code> - the little endian input stream</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>count of processed bytes</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEncodingHint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncodingHint</h4>
                                <pre>protected&nbsp;java.nio.charset.Charset&nbsp;getEncodingHint()</pre>
                            </li>
                        </ul>
                        <a name="getText-java.nio.charset.Charset-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText(java.nio.charset.Charset&nbsp;charset)
                         throws java.io.IOException</pre>
                                <div class="block">To be implemented! We need to get the current character set
                                    from the current font for <a
                                            href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html"
                                            title="class in org.apache.poi.hemf.record"><code>HemfText.ExtTextOutA</code></a>,
                                    which has to be tracked in the playback device.

                                    For <a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutW.html"
                                           title="class in org.apache.poi.hemf.record"><code>HemfText.ExtTextOutW</code></a>,
                                    the charset is "UTF-16LE"
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>charset</code> - the charset to be used to decode the character bytes</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text from this text element</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX</h4>
                                <pre>public&nbsp;long&nbsp;getX()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x offset for the EmrTextObject</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY</h4>
                                <pre>public&nbsp;long&nbsp;getY()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y offset for the EmrTextObject</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLeft--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeft</h4>
                                <pre>public&nbsp;long&nbsp;getLeft()</pre>
                            </li>
                        </ul>
                        <a name="getTop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTop</h4>
                                <pre>public&nbsp;long&nbsp;getTop()</pre>
                            </li>
                        </ul>
                        <a name="getRight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRight</h4>
                                <pre>public&nbsp;long&nbsp;getRight()</pre>
                            </li>
                        </ul>
                        <a name="getBottom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBottom</h4>
                                <pre>public&nbsp;long&nbsp;getBottom()</pre>
                            </li>
                        </ul>
                        <a name="getGraphicsMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGraphicsMode</h4>
                                <pre>public&nbsp;long&nbsp;getGraphicsMode()</pre>
                            </li>
                        </ul>
                        <a name="getExScale--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExScale</h4>
                                <pre>public&nbsp;long&nbsp;getExScale()</pre>
                            </li>
                        </ul>
                        <a name="getEyScale--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getEyScale</h4>
                                <pre>public&nbsp;long&nbsp;getEyScale()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HemfText.ExtTextOutA.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtCreateFontIndirectW.html"
               title="class in org.apache.poi.hemf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutW.html"
               title="class in org.apache.poi.hemf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hemf/record/HemfText.ExtTextOutA.html" target="_top">Frames</a>
        </li>
        <li><a href="HemfText.ExtTextOutA.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
